2010-11-24 08:13:59     problem about ezki533t version and u-boot

Document created by Aaronwu Employee on Sep 25, 2013
Version 1Show Document
  • View in full screen mode

2010-11-24 08:13:59     problem about ezki533t version and u-boot

Chen Kuantong (CHINA)

Message: 96175   

 

I have get a u-boot.hex file from others, and successfully start the board.

 

But when I buid my own u-boot file, failed to start the board.

 

I have tried the latest uboot and toolchain version, but it seems it doesnot support my board anymore.(my board version is ezkit 533 and silicon 0.2).And cannot download uImage using serial.

U-Boot 2008.10 (ADI-2009R1.1-rc1) (Nov 18 2010 - 22:22:48)                                                         

 

CPU:   ADSP bf533-0.3 (Detected Rev: 0.2) (bypass boot)                                                     

Board: ADI BF533 EZ-Kit Lite board                                

       Support: http://blackfin.uclinux.org/                                          

Clock: VCO: 594 MHz, Core: 594 MHz, System: 118.800 MHz                                                     

RAM:   32 MB          

Flash: ## Unknown FLASH on Bank 1 - Size = 0x00000000 = 0 MB                                                          

0 kB   

 

*** Warning - bad CRC, using default environment

 

In:    serial

Out:   serial

Err:   serial

Net:   bfin> loadb 0x1000000

## TotalFLASe      =prot08x = 124852 Bytes

## Startbfin>

 

So I build my uboot file based on 2005 release 4. Problem happens again:

 

It cannot enter the mode like bfin>

 

and repeats the message:

U-Boot 1.1.3                                                    

 

CPU:   ADSP bf533-0.2                                                   

Board: ADI BF533 EZ-Kit Lite board                                

       Support: http://blackfin.uclinux.org/                                          

 

*** Warning - bad CRC, using default environment

QuoteReplyEditDelete

 

 

2010-11-24 16:10:44     Re: problem about ezki533t version and u-boot

Mike Frysinger (UNITED STATES)

Message: 96183   

 

your processor is too old.  silicon rev 0.2 has anomalies we dont work around and have no plans to support.  get a newer board.

 

QuoteReplyEditDelete

 

 

2010-11-25 05:09:19     Re: problem about ezki533t version and u-boot

Chen Kuantong (CHINA)

Message: 96211   

 

Thanks for your reply.

 

It works well now, when I use the u-boot1.1.3_2005.r3.

 

It seems that only this u-boot version supports the ezkit533(rev 0.2).

Attachments

    Outcomes